# MintGrantBurn PKP

By invoking `mintGrantBurnPKP`, you obtain the `publicKey`, `tokenId`, and `address` of the PKP. The publicKey is the non-compressed public key that the ECDSA algorithm uses to compute the address.

{% hint style="info" %}
Get some Testnet LIT tokens from [the official Chronicle faucet](https://faucet.litprotocol.com/) to mint your PKP on Chronicle.
{% endhint %}

{% code overflow="wrap" fullWidth="true" %}

```typescript
const { publicKey, tokenId, address } = await newCircuit.mintGrantBurnPKP(ipfsCID);
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.irrevocable.dev/sdk-reference/mintgrantburn-pkp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
